PlexySDK DOCS
API EndpointsSessions

Create a payment session

POST
/sessions

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.plexypay.com/v2/sessions" \  -H "Content-Type: application/json" \  -d '{    "amount": {      "currency": "string",      "value": 0    },    "merchantAccount": "string",    "reference": "string",    "returnUrl": "string"  }'
{
  "id": "string",
  "expiresAt": "string",
  "amount": {
    "currency": "string",
    "value": 0
  },
  "merchantAccount": "string",
  "merchantId": "string",
  "reference": "string",
  "returnUrl": "string",
  "mode": "string",
  "sessionData": "string",
  "url": "string",
  "channel": "iOS",
  "countryCode": "string",
  "shopperLocale": "string",
  "shopperReference": "string",
  "shopperInteraction": "string",
  "recurringProcessingModel": "string",
  "storePaymentMethodMode": "string",
  "telephoneNumber": "string",
  "dateOfBirth": "string",
  "socialSecurityNumber": "string",
  "billingAddress": {
    "city": "string",
    "country": "string",
    "houseNumberOrName": "string",
    "postalCode": "string",
    "street": "string"
  },
  "deliveryAddress": {
    "city": "string",
    "country": "string",
    "houseNumberOrName": "string",
    "postalCode": "string",
    "street": "string"
  },
  "lineItems": [
    {
      "quantity": 0,
      "amountExcludingTax": 0,
      "taxPercentage": 0,
      "description": "string",
      "id": "string",
      "taxAmount": 0,
      "amountIncludingTax": 0,
      "taxCategory": "string",
      "productUrl": "string",
      "imageUrl": "string"
    }
  ]
}